package junit4;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

import funkcje.Funkcje;

public class Test4_JUnit {

	@Test
	public void test0() {
		long wynik = Funkcje.fib(0);
		assertEquals(0, wynik);
	}
	
	@Test
	public void test1() {
		long wynik = Funkcje.fib(1);
		assertEquals(1, wynik);
	}
	
	@Test
	public void test4() {
		long wynik = Funkcje.fib(4);
		assertEquals(3, wynik);
	}
	
	@Test
	public void test10() {
		assertEquals(55, Funkcje.fib(10));
	}

	// ograniczamy czas działania do 2s
	// jeśli wykonanie trwa dłużej, to JUnit uznaje to za błąd testu
	@Test(timeout = 2000)
	public void test45() {
		assertEquals(1134903170, Funkcje.fib(45));
	}
}
