package junit4;

import static org.junit.Assert.assertEquals;

import java.util.List;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.Parameterized;
import org.junit.runners.Parameterized.Parameters;

import funkcje.Funkcje;

@RunWith(Parameterized.class)
public class Test5_Parametry {
	private int arg;
	private long expectedResult;
	
	public Test5_Parametry(Integer arg, Long expectedResult) {
		this.arg = arg;
		this.expectedResult = expectedResult;
	}

	@Parameters
	public static List<Object[]> parametry() {
		Object[][] dane = {
				{0, 0L},
				{1, 1L},
				{2, 1L},
				{5, 5L},
				{10, 55L},
		};
		return List.of(dane);
	}
	
	@Test
	public void test() {
		long result = Funkcje.fib(arg);
		assertEquals(expectedResult, result);
	}
	

}
