package rest;

import javax.ws.rs.ApplicationPath;
import javax.ws.rs.core.Application;

@ApplicationPath("/")
public class AplikacjaRestowa extends Application {
/* Ta klasa pełni rolę "aktywatora" usługi restowej w ramach projektu.
 * Gdy serwer zauważy taką klase w projekcie, to skonfiguruje mechanizmy JAX-RS.
 * Ta klasa może też zawierać konfigurację:
 * - @ApplicationPath - wspólny prefiks przed wszystkimi zapytaniami REST-owymi
 * 
 * - metoda getClasses - zwraca zbiór klas, z których składa się aplikacja
 * 
 * - metoda getSingletons - zwraca obiekty, z których składa się aplikacja
 * 
 * Gdy tych metod nie ma, to serwer skanuje projekt i znajduje wszystkie klasy z adnotacjami @Path lub @Provider
 */
}
